Hnet Info Mail 1.0

schránka

Začínáme s aplikací Hnet Info Mail 1.0

Hnet Info Mail je plnohodnotný a velmi propracovaný emailový klient na srovnatelné úrovni jako konkurenční aplikace tohoto typu.

Tato aplikace slouží pro příjem, odesílání a práci s elektronickou poštou (e-mail) pomocí internetových protokolů POP3 a SMTP v textovém i hypertextovém formátu.

První spuštění

Po prvním spuštění si aplikace vytvoří veškeré soubory, které potřebuje pro svoji správnou funkci. Zároveň automaticky vytvoří identitu (viz práce s aplikací -> identity) Admin s přístupovým heslem admin. Později je samozřejmně možné heslo změnit.

Poté se automaticky vyvolá průvodce novým účtem a ten Vás provede všemi kroky nezbytnými pro správnou funkci poštovního klienta.

Technické údaje

  • Verze: 1.1
  • Rok: 2001
  • Velikost spustitelné aplikace: cca 2MB

Poznámka

Windows(r) je definovaná ochranná známka firmy Microsoft.


Hnet Info Mail 1.0 - Identity

Identity

K čemu slouží

Identity slouží k tomu, aby program Hnet Info Mail 1.0 mohlo používat více uživatelů na jednom počítači a to nezávisle na sobě. Každý má svoje osobní nastavení, svoje složky se zprávami atd.

Identita se určí při spouštění programu přihlášením se. Každá identita je také chráněna heslo proti nepovolanému zásahu do programu a dat uživatelů.

Výchozí identita

Výchozí identita po nainstalování programu je Admin a má heslo admin, které lze samozřejmně změnit (viz změna hesla).

Dialog s identitami

Tento dialog se vyvolá ihned po spuštění programu. Obsahuje

  • rolovátko se seznamem dostupných identit
  • tlačítko pro přihlášení se
  • tlačítko storno pro okamžité ukončení programu
  • tlačítko změnit pro změnu hesla
  • tlačítko pro přidání nové identity
  • tlačítko pro odstranění identity
  • pole pro textový vstup (pro zadávání hesla)


Hnet Info Mail 1.0 - Přihlášení identity

Přihlášení identity

V rolovátku se seznamem dostupných identit si vyberte identitu, pod kterou se chcete přihlásit.

Do řádku pro vkládání textu napište její heslo. Během psaní hesla se zobrazují pouze hvězdičky.

Klikněte na tlačítko OK a dojde k přihlášení. Pokud jste heslo zadali správně spustí se aplikace.


Hnet Info Mail 1.0 - Nová identita

Nová identita

Přidání identity

Pokud chcete přidat do aplikace novou identity (tzn. aby další aplikaci mohl používat další uživatel) musíte nejdříve vybrat svoji vlastní identitu a zadat správné heslo. Potom můžete stisknout tlačítko pro vytvoření nové identity. Ale ne všcheny identity mají možnost přidávání nové identity (tato vlastnost se určuje při jejím vytváření). Pokud nemáte tlačítko pro vytvoření nové identity přístupné, nemůžete vytvářet nové identity.

Zadání údajů nové identity

Předpokládáme, že jste zadali správné heslo a stiskli tlačítko pro přidání nové identity. Zobrazil se dialog pro zadání údajů nové identity. Nyní musíte zadat jméno nové identity a její heslo (plus ověření hesla). Dále maté možnost zvolit zda identita může přidávat další identity (viz výše).

Jméno i heslo může mít maximálně 14 znaků.

Zpravidla není nemožné, aby existovaly dvě identity se stejným jménem, ale nedoporučujeme to.


Hnet Info Mail 1.0 - Odstranění identity

Odstranění identity

Stejně jako při vytváření identity musíte i nyní nejprve danou identity vybrat a zapsat do pole pro text její správné heslo.

Pokud nyní stisknete tlačítko pro odstranení identity, identita se odstraní.


Hnet Info Mail 1.0 - Změna hesla

Změna hesla identity

Stejně jako při vytváření identity musíte i nyní nejprve danou identity vybrat a zapsat do pole pro text její správné heslo.

Pokud nyní kliknete na talčítko změnit vyvolá se dialog jako stejný jako při vytváření identity. Nyní však můžete pouze zadat nové heslo (společně s ověřením).

Heslo může mít maximálně 14 znaků.


Hnet Info Mail 1.0 - Hlavní okno

Hlavní okno aplikace

Hlavní okno

Obsluha

Hlavní okno tvoří základní část celé aplikace. Můžete zde

  • pracovat se zprávami a elektronickou poštou
  • ovládat nastavení celé aplikace
  • vyvolávat další okna a funkce aplikace

Rozdělení

Hlavní okno je rozděleno na tři části

  • nabídku se všemi funkcemi a příkazy aplikace
  • nástrojovou lištu pro snadnější obsluhu aplikace
  • a hlavní plochu
Hlavní plocha zastává nejdůležitější funkce aplikace a dělí se dál na čtyři části
  • složky zpráv - slouží k přepínaní aktuální složky
  • seznam zpráv vybrané složky
  • obsah zprávy, která byla naposledy vybraná
  • kontakty, kde je výpis osob v adresáři


Hnet Info Mail 1.0 - Nabídka

Nabídka

Slouží pro manipulaci s celou aplikaci. Obsahuje veškeré funkce a příkazy aplikace. Obsahuje tyto podnabídky

  • soubor
  • úpravy
  • zobrazit
  • zprávy
  • nástroje
  • plánovač
  • News Client
  • nápověda


Hnet Info Mail 1.0 - Soubor

Nabídka soubor

Nabídka soubor obsahuje tyto příkazy a funkce

Nová zpráva
vyvolá dialog pro napsání nové zprávy.
Otevřít zprávu
otevře zprávu uloženou v externím souboru.
Uložit zprávu
uloží vybranou zprávu do externího souboru.
Uložit přílohy
uloží přílohy vybrané zprávy na disk.
Složky
umožňuje vytvořit novou nebo smazat existující složku zpráv nebo ji přejmenovat.
Import
importuje adresář nebo složky zpráv z vybraného adresáře.
Export
exportuje všechny složky nebo adresář do vybraného adresáře.
Vyprázdnit odstraněnou poštu
vyprázdní složku odstraněná pošta.
Tisk (Ctrl+P)
vytiskne vybranou zprávu.
Odhlášení
odhlásí aktuálního uživatele a umožní přihlášení jiného uživatele.
Konec (Alt+F4, Alt+X)
ukončení aplikace


Hnet Info Mail 1.0 - Úpravy

Nabídka úpravy

Nabídka úpravy obsahuje tyto příkazy a funkce

Přesunout do složky
přesune vybranou zprávu do jiné složky.
Kopírovat do složky
kopíruje vybranou zprávu do jiné složky.
Najít
najde zprávu nebo kontakt podle zvolených kritérií.
Označit zprávu jako
přečtenou nebo nepřečtenou (rozlišeno symbolem zavřené a otevřené obálky vedle zprávy)
Odstranit
odstraní vybranou zprávu / kontakt
Vybrat vše (Ctrl+A)
vybere všechny zprávy ve vybrané složce.


Hnet Info Mail 1.0 - Zobrazit

Nabídka zobrazit

Nabídka zobrazit obsahuje tyto příkazy a funkce

Předchozí zpráva
přejde na (zobrazí) předchozí zprávu
Následující zpráva
přejde na (zobrazí) následující zprávu
Přejít do složky
přepne automaticky do vybrané složky.
Třídit podle
umožňuje nastavit řazení zpráv v seznamu.
Velikost fontu
umožňuje nastavit velikost fontu používaného pro zobrazení zpráv.
Kódování
umožňuje zvolit požadované jazykové kódování.
Jazyk
slouží k přepnutí jazyka v programu.
Obnovit (F5)
překreslí okno aplikace (při potížích s grafickým vykreslením).


Hnet Info Mail 1.0 - Zprávy

Nabídka zprávy

Nabídka zprávy obsahuje tyto příkazy a funkce

Nová...
vyvolá dialog pro napsání nové zprávy.
Odpovědět...
napsat odpověd na vybranou zprávu.
Předat dál...
předat vybranou zprávu dál.
Blokovat odesílatele
viz. blokovaní uživatelé.
Přepnout vlajku
umožňuje nastavit nebo smazat zprávě značku.


Hnet Info Mail 1.0 - Nástroje

Nabídka nástroje

Nabídka nástroje obsahuje tyto příkazy a funkce

Přijmout/Odeslat zprávy
přijme a odešle zprávy.
Adresář... (Ctrl+D)
vyvolá adresář kontaktů.
Pravidla pro zprávy...
viz. Práce s poštou - pravidla pro zprávy.
Účty...
nastavení účtů pro elektronickou poštu.
Nastavení...
nastavení programu.
Zakázané přílohy
umožňuje definovat přílohu, které mohou obsahovat viry. Ty pak program zakáže.
Přidat odesilatele do kontaktů
přidá odesilatele zvolené zprávy do seznamu kontaktů.


Hnet Info Mail 1.0 - Plánovač

Nabídka plánovač

Volba Plánovač vyvolá dialog pro zadávání, úpravu a odstraňování naplánovaných úloh.

Tlačítky Další a Předchozí listujete úlohami. Novou úlohu zadáte pomocí tlačítka Přidat... a odstraníte tlačítkem Odstranit.

Naplánovaná úloha obsahuje datum, čas a krátký text. V příslušný den a čas se zobrazí zpráva s tímto textem a informací o naplánovaném úkolu (pokud je aplikace právě spuštěná).


Hnet Info Mail 1.0 - Nabídka News Client!

Nabídka News Client!

zavede do paměti a spustí modul News Client pro práci s diskuzními skupinami na serverech NNTP.

Více o programu News Client naleznete zde.


Hnet Info Mail 1.0 - Nápověda

Nabídka nápověda

Nabídka nápověda obsahuje tyto příkazy a funkce

Obsah a rejstřík (F1)
vyvolá tuto nápovědu.
O programu...
vyvolá malý dialog s informací o verzi programu.


Hnet Info Mail 1.0 - Nástrojová lišta

Nástrojová lišta

Nástrojová lišta
(obrázek z anglické verze aplikace)

Nástrojová lišta slouží ke snadnější manipulaci s aplikaci. Obsahuje stejné příkazy a funkce jako hlavní nabídka a navíc tlačítka pro PGP kódování a interní kódování zpráv.

PGP kódování

je přístupné jen na systémech s instalovaným softwarem pro práci s PGP serverem a správu klíčů. Tímto tlačítkem je možné dekódovat zprávu, kterou příjemce zašifroval klíčem PGP.

Interní kódování

umožňuje kódovat zprávy jednoduchou šifrou používanou pouze softwarem Hnet Info Mail. Tímto tlačítkem provedete rozšifrování zprávy.

To že je zpráva zašifrována a způsob, jakým to bylo provedeno, se zobrazí v okně pro obsah zprávy.


Hnet Info Mail 1.0 - Složky zpráv

Složky zpráv

Složky zpráv
(obrázek z anglické verze aplikace)

Složky zpráv slouží k přepínání aktuální složky. Seznam zpráv aktuální složky je pak v seznamu zpráv složky. Po spuštení programu je jako výchozí vybraná složka doručená pošta.

Pokud vyberete přímo položku Hnet Info Mail zobrazí se místo výpisu zpráv statistika jednotlivých složek.

Můžete si také přidávat a odstraňovat složky pomocí kontextové nabídky Složek zpráv. Ta se vyvolá kliknutím pravým tlačítkem nad plochou Složek zpráv.


Hnet Info Mail 1.0 - Seznam zpráv složky

Seznam zpráv složky

Seznam zpráv
(obrázek z anglické verze aplikace)

Seznam zpráv složky obsahuje výpis všech zpráv umístěných ve vybrané složce. Více informací najdete v manipulaci se složkami zpráv.


Hnet Info Mail 1.0 - Obsah zprávy

Obsah zprávy

Text zprávy
(obrázek z anglické verze aplikace)

V okně s obsahem zprávy se zobrazuje samotný text zprávy s údaji o odesílateli, příjemci a předmětu zprávy. Pokud zpráva obsahuje přílohy, objeví se v levém horním rohu tohoto okna symbol žluté sponky. Při kliknutí na tuto sponku můžete přílohy ukládat na disk. Buď jednotlivě nebo všechny naráz (popř. jen vybrané).


Hnet Info Mail 1.0 - Kontakty

Kontakty

Kontakty
(obrázek z anglické verze aplikace)

Kontakty obsahují seznam osob a skupin osob v adresáři. Kliknutím na tlačítko kontakty se rozbalí kontextová nabídka s příkazem přidání nového kontaktu.

Pokud na některý kontakt kliknete dvojitě vyvolá se dialog pro napsání nové zprávy vybranému kontaktu (osobě).

Každý kontakt má rovněž kontextovou nabídku s možnostmi napsání nové zprávy, změny vlastností kontaktu, hledání lidí a přidáním/odstraněním kontaktu.

Více viz adresář.


Hnet Info Mail 1.0 - Účty připojení

Účty připojení

Účty připojení slouží k nastavení používaných POP3 a SMTP serverů. Přihlašovacích jmen a hesel k nim, emailových adres a dalších podrobností jako používané porty na serveru, prodleva atd.

Jeden uživatel může mít více účtů připojení. Minimálně však jeden.

Dialogog účtů připojení můžete vyvolat v nabídce nástroje položkou účty připojení.

Jeden účet je vždy nastaven jako výchozí. Pokud píšete novou zprávu bude v řádku Od: nazačátku právě výchozí připojení.

K přidávání účtů účtů slouží tlačítko přidat, které vyvolá průvodce přidáním účtu.

K odstranění účtu slouží tlačítko odstranit.

K nastavení vlastností účtu slouží tlačítko vlastnosti.

K nastavení výchozího účtu slouží tlačítko výchozí.


Hnet Info Mail 1.0 - Nový účet

Nový účet

Nový účet se přidá pokud na dialogu s nastavením účtů stisknete tlačítko přidat.

Po stisknutí tlačítka se vyvolá průvodce novým účtem.

Průvodce se rovněž vyvolá po spuštění aplikace, pokud neexistuje výchozí účet.


Hnet Info Mail 1.0 - Průvodce připojením

Průvodce připojením

Průvodce připojení se vyvolá z dialogu nastavení účtů.

Postupně zadávejte veškeré vyžadované informace. Po vyplnění jedné stránky se vždy tlačítkem další dostanete na další stránku. Kdykoliv se také můžete vrátit o jednu stránku zpět tlačítkem zpět. Až dojdete o na poslední stránku s tlačítkem dokončit.


Hnet Info Mail 1.0 - Odstranění účtu

Odstranění účtu

Účet se odstraní pokud na dialogu s nastavením účtů stisknete tlačítko odstranit.

Odstraní se aktuálně vybraný účet.


Hnet Info Mail 1.0 - Vlastnosti účtu

Vlastnosti účtu

Vlastnosti účtu můžete změnit pokud na dialogu s nastavením účtů stisknete tlačítko vlastnosti.

V nastavení můžete změnit veškeré nastavení účtu. Některé vlastnosti je možné zadat už v průvodci připojením.


Hnet Info Mail 1.0 - Výchozí účet

Výchozí účet

Výchozí účet se nastaví na dialogu nastavení účtů tlačítkem výchozí.

Výchozí účet je označen hvězdičkou.


Hnet Info Mail 1.0 - Nastavení

Nastavení

Dialogu pro nastavení programu je rozdělen na několik, logicky spolu souvisejících, sekcí:

Obecné
  • Příjem a odesílání zpráv - automatické vyzvedání pošty, upozornění zvukem, čtení zpráv...
  • Odstraněná pošta - automatické vyprazdňování
Posílání
  • Odesílání pošty - ukládání zpráv, kontaktů...
  • Formát pošty - hypertext, obyčejný text
  • Kontrola pravopisu
Font
Nastavení fontu pro zobrazování zpráv.
Podpisy
Volba umožňuje upravovat podpisy (krátké textové informace), které budou připojeny za každou zprávu vytvořenou ve vybraném účtu připojení.
Oznámení
Určuje způsob vyžadování oznámení příjmu zprávy a reakci na zprávy, které vyžadují toto potvrzení.

Každý uživatel má své vlastní nastavení. Nemůže tedy ovlivnit nastavení programu pro jiné uživatele.


Hnet Info Mail 1.0 - Adresář

Adresář

Adresář
(obrázek z anglické verze aplikace)

Funkce

Adresář slouží k prohlížení, přidávání, odstraňování a upravování osobních kontaktů uživatele a jejich skupin.

Adresář lze využít při psaní nových zpráv.

Vyvolání

Adresář se vyvolá stiskem tlačítka adresář na nástrojové liště nebo výběrem položky adresář v nabídce nástroje.

Používání

Adresář obsahuje nástrojovou lištu, kde jsou umístěna tlačítka pro práci s kontakty (viz výše).

Nachází se zde také tlačítko pro psaní nové zprávy vybraným osobám (kontaktů). Je možné vybrat několik kontaktů současně použitím myši a tlačítek Ctrl nebo Shift.

V adresáři můžete najít osoby nebo vytisknout vybraný kontakt.


Hnet Info Mail 1.0 - Nový kontakt

Nový kontakt

Nový kontakt lze přidat dvěma způsoby

  • stiskem tlačítka přidat v adresáři
  • v hlavním okně stiskem tlačítka kontakty a nový kontakt

Pro přidání kontaktu se vyvolá dialog, ve kterém je možné zadat všechny informace o dané osobě. Veškeré informace jsou volitelné.


Hnet Info Mail 1.0 - Skupina kontaktů

Skupina kontaktů

Novou skupinu kontaktů lze vytvořit v adresáři skiskem tlačítka Přidat skupinu.

Pro přidání skupiny se vyvolá dialog, ve kterém je možné vybrat které kontakty budou do nové skupiny zahrnuty. Také se zde zadává její jméno.


Hnet Info Mail 1.0 - Vlastnosti kontaktů

Vlastnosti kontaktů

Pokud si v adresáři vyberete libovolný kontakt a stisknete tlačítko vlastnosti vyvolá se dialog stejný jako při přidávání kontaktu. Zde je možné změnit a přidat veškeré vlastnosti dané osoby.


Hnet Info Mail 1.0 - Odstranění kontaktu

Odstranění kontaktu

Kontakt lze odstranit dvěma způsoby (nejdříve musíme odstraňovaný kontakt vybrat myší)

  • stiskem tlačítka odstranit v adresáři
  • v hlavním okně stiskem tlačítka Del


Hnet Info Mail 1.0 - Příjem/Odesílání pošty

Příjem/Odesílání pošty

Vyzvednutí a posílání pošty můžete provést buď pro všechny vaše definované účty zároveň a nebo pouze pro jeden účet.

Po aktivaci této funkce se otevře dialog pro příjem a odesílání pošty. Pokud nejste připojeni k internetu zobrazí se standardní dialog Windows(r) pro připojení k internetu.

Při příjmu pošty je u POP3 serveru vyžadováno heslo. Pokud ho nemáte v programu uložené zobrazí se dialog s výzvou o zadání hesla.

Doručená pošta se umístí do složky doručená pošta a pošta, která bylo ve složce pošta k odeslání se odešle (pokud se provádí příjem a odesílání pošty danné identity).


Hnet Info Mail 1.0 - Všechny účty

Příjem/Odesílání pošty - všechny účty

Příjem a odeslání pošty všech účtů se provede stiskem tlačítka přijmout/odeslat na nástrojové liště nebo v nabídce nástroje příkazem přijmout/odeslat


Hnet Info Mail 1.0 - Jeden účet

Příjem/Odesílání pošty - jeden účet

Příjem a odeslání pošty jednoho účtu se provede výběrem účtu z lokální nabídky tlačítka přijmout/odeslat na nástrojové liště nebo výběrem účtu z podnabídky přijmout/odeslat v nabídce nástroje.


Hnet Info Mail 1.0 - Odpověď na zprávu

Odpověď na zprávu

Na vybranou zprávu můžete odpovědět stiskem tlačítka odpovědět na nástrojové liště nebo volbou příkazu odpovědět v nabídce zpráva.


Hnet Info Mail 1.0 - Předání zprávy

Předání zprávy

Vybranou zprávu můžete předat dál stiskem tlačítka předat dál na nástrojové liště nebo volbou příkazu předat dál v nabídce zpráva.


Hnet Info Mail 1.0 - Pravidla pro zprávy

Pravidla pro zprávy

Tento dialog slouží pro nastavení určitých pravidel pro zprávy. Je rozdělen na dvě záložky:

Pravidla zpráv
Pravidla pro zprávy slouží k určení kritérií pro příjem elektronické pošty (velikost zprávy, obsahuje přílohy), k určení, co se stane se zprávou po jejím vyzvednutí ze serveru (smazat, zařadit do složky). Nové pravidlo vytvoříte stiskem tlačítka Nové na tomto dialogu. Pro změnu slouží tlačítko Upravit a k odstranění Odstranit. Pokud kliknete na Nové vyvolá se další dialog pro definování nového pravidla. V prvním okénku si vyberete podmínku pro zprávu (může se vyvolat dialog pro zadání doplňkových informací), ve druhém si vyberete akci při splnění podmínky (také se může vyvolat dialog pro zadání doplňkových informací). Ve třetím okénku vidíte celé znění pravidla a ve čtvrtém zadáváte jméno nového pravidla.
Blokovaní uživatelé
Zde je seznam odesílatelů elektronické pošty, jejichž zprávy se budou úplně ignorovat, popř. se pouze smažou ze serveru.
Zakázané přílohy
Je seznam příloh, se kterými program zakáže pracovat. Sem se například uvádějí přílohy u nichž je pravděpodobné, že neobsahují smysluplné informace, ale pouze viry nebo hoaxy.


Hnet Info Mail 1.0 - Složky zpráv

Složky zpráv

Ve složkách zpráv jsou umístěny všechny zprávy v aplikaci.

Jsou zde čtyři složky zpráv rozdělené podle funkce

  • doručená pošta - pošta přijmutá ze serveru POP3
  • pošta k odeslání - pošta určená k odeslání na server SMTP
  • odeslaná pošta - pošta, která již byla odeslána
  • odstraněná pošta - pošta odstraněná z některé z předchozích složek

Navíc je možné vytvářet vlastní uživatelské složky zpráv pomocí kontextové nabídky složek zpráv.


Hnet Info Mail 1.0 - Doručená pošta

Doručená pošta

V této složce je veškerá pošta přijmutá aplikací z POP3 serveru(ů).


Hnet Info Mail 1.0 - Pošta k odeslání

 Pošta k odeslání

Pošta k odeslání

V této složce je veškerá pošta určená k odeslání na SMTP server(y).


Hnet Info Mail 1.0 - Odeslaná pošta

Odeslaná pošta

V této složce je veškerá pošta odeslaná aplikací na SMTP server(y).


Hnet Info Mail 1.0 - Odstraněná pošta

Odstraněná pošta

Do této složky se ukládají zprávy odstraněné z ostatních složek. Všechny zprávy z této složky je možné vymazat vyprázdněním odstraněné pošty.


Hnet Info Mail 1.0 - Vyprázdnění odstraněné pošty

Vyprázdnění odstraněné pošty

Pozor! Tato akce je nevratná.

Vyprázdní celou složku odstraněná pošta.

Tuto akci provedete příkazem vyprázdnit odstraněnou poštu v nabídce soubor.


Hnet Info Mail 1.0 - Kopírování zpráv

Kopírování zpráv

Kopírovat vybranou zprávu do jiné složky můžete zvolením příkazu kopírovat do složky z nabídky úpravy.

Zprávu lze také kopírovat pomocí myši přetažením do příslušné složky a současným podržením klávesy SHIFT.

Po zvolení příkazu se otevře dialog pro určení složky, do které se bude zpráva kopírovat.


Hnet Info Mail 1.0 - Přesun zprávy

Přesun zprávy

Přesunout vybranou zprávu do jiné složky můžete zvolením příkazu přesunout do složky z nabídky úpravy.

Zprávu lze do jiné složky přesunout také myší přetažením.

Po zvolení příkazu se otevře dialog pro určení složky, do které se bude zpráva přesouvat.


Hnet Info Mail 1.0 - Odstranění zpráv

Odstranění zpráv

Vybranou zprávu odstraníte třemi způsoby

  • stiskem tlačítka Del
  • stiskem tlačítka odstranit na nástrojové liště
  • příkazem odstranit z nabídky úpravy

    Zpráva se přesune do složky odstraněná pošta. Pokud je již v této složce odstraní se definitivně.


Hnet Info Mail 1.0 - Nová zpráva

Nová zpráva

Pokud chcete napsat novou zprávu můžete

  • stisknout tlačítko nová zpráva na nástrojové liště
  • zvolit příkaz nová zpráva z nabídky soubor
  • zvolit příkaz nová... z nabídky zpráva
  • stisknout tlačítko napsat zprávu v adresáři
  • vybrat položku nová zpráva v kontextové nabídce seznamu kontaktů.


Hnet Info Mail 1.0 - Vkládání obsahu zprávy

Vkládádní obsahu zprávy

Od:, Komu: ...

Pro každou vlastnost zprávy určující její budoucí cestu internetem je na dialogu nové zprávy zvláštní textové pole.

Text zprávy

Samotný text zprávy můžete vkládat do textového pole, pomocí jednoduchého a intuitivního editoru (podobně jako v konkurenčních textových editorech). Text lze prokládat obrázky. Výsledkem takto napsaného textu je hypertextový dokument.

Do textu zprávy můžete na místo kurzoru vložit textový soubor příkazem připojit textový soubor z nabídky přílohy.

Samotný text můžete doplnit snadným používání tzv. smailíků. Pokud však píšete zprávu pouze jako text (a nikoliv html) vloží se jen symboly reprezentující tyto obrázky v textové podobě.

O připojování binárních příloh se dozvíte více zde.

Kódování a vyžádání potvrzení

Při psaní zprávy můžete přepnout kódování znakové sady. Ta je ze začátky nastavena podle Nastavení celé aplikace. Stejně tak lze explicitně ovlivnit vyžádání potvrzení o přijetí zprávy příjemcem.

Šifrování

Zprávy je možno šifrovat dvojím způsobem:

pomocí PGP šifrování
jedná se o známé kódování PGP. K jeho používání je nutné mít v systému instalovaný příslušný software pro komunikaci s PGP serverem a zprávu klíčů.
pomocí interní šifry
jedná se o kódování, které ovládá jen software Hnet Info Mail. Zpráva bude zakódována jednoduchou šifrou a bude dále rozšifrovatelná jenom pomocí stejného emailového klienta.


Hnet Info Mail 1.0 - Přílohy

Přílohy

Ke zprávě je možné připojovat jakýkoliv typ souboru. Seznam příloh je na dialogu nové zprávy horní části (je rozdělena na několik záložek, přílohy jsou na druhé).

Připojování

Novou přílohu připojíte

  • tlačítkem připojit soubor vedle seznamu příloh
  • příkazem připojit soubor z nabídky přílohy
  • přímo přetažením souboru(ů) myší nad dialog nové zprávy
Současně je možné přidat několik souborů zároveň.

Odpojování

Vybranou přílohu je možné odpojit stiskem tlačítka odpojit soubor vedle seznamu příloh.


Hnet Info Mail 1.0 - Použití adresáře

Použití adresáře

Adresář kontaktů je možné použít při psaní nové zprávy k určení příjemce(ů).

Vedle každého textového pole příjemců je zmenšený symbol adresáře. Pokud na něj kliknete vyvolá se adresář zde je možné vybrat libovolný počet příjemců a stisknout tlačítko OK. Vybraní příjemci se umístí do příslušného textového pole.


Hnet Info Mail 1.0 - Kontrola pravopisu

Kontrola pravopisu

Kontrolu pravopisu nové zprávy vyvoláte tlačítkem kontrola pravopisu na dialogu Nová zpráva. Proběhne kontrola pravopisu celého napsaného textu. Pro neznámá slova je nabídnuto nahrazení. Po dokončení kontrolu se zobrazí informační dialog o dokončení kontroly.


Hnet Info Mail 1.0 - News Client

News Client

Jedná se o samostatný modul aplikace Hnet Info Mail, který zprostředkovává čtení a odesílání zpráv diskuzních skupin přes protokol NNTP.

V levé části je vidět okno, kam se vypisují stromovou strukturou nastavené NNTP servery a jejich přihlášené diskuzní skupiny k odběru.

Nový diskuzní server přidáte tlačítkem Přidat server. Po jeho úspěšném nakonfigurování můžete dodatečně pomocí Vlastností některé hodnoty měnit. Lze také celý server ze seznamu odstranit. Dojde tím i k smazání všech přijmutých zpráv.

Jednotlivé diskuzní skupiny přihlásíte zvolením příslušného serveru a stiskem tlačítka Diskuzní skupiny. Jednotlivé skupiny pak můžete po načtení jejich seznamu libovolně přihlašovat a odhlašovat. Pokud je senzam diskuzních skupin velký (někdy bývá i 10000 a více) bude práce poněkud pomalejší.

Jednotlivé zprávy z diskuzní skupiny načtete tlačítkem Načíst zprávy. Manipulace se zprávami je obdobná jako u Hnet Info Mail. Za zmínku stojí však rozbalovací seznam a tlačítko se symbolem domečku nad textem zprávy. Zprávy na news serverech jsou spolu hiearchicky řazeny. Tlačítkem s ikonou domečku vyberete nadřazenou zprávu. Pokud je tlačítko zakázané, je zpráva na nejvyšší úrovni. V rozbalovacím seznamu se nachází seznam podřazených zpráv. Výběrem některé z nich se na ni automaticky přesunete. Pokud nelze seznam použít, nemá zpráva žadné podřazené zprávy.

Vystavit zprávu můžete stiskem tlačítka Nová zpráva nebo tlačítkem Odpovědět na již existující zprávu. Nová zpráva bude pak podřazená této již existující. Psaní zprávy je zjednodušená podoba psaní nového emailu, se zachováním funkce pro vkládání a odebírání příloh. Mnohé servery však přílohy nepodporují a může se stát, že takovou zprávu odmítnou.

Jazykové nastavení používá News Client stejné jako hlavní modul Hnet Info Mail.